#
# spec file for package yubikey-piv-manager
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define bname   pivman

Name:           yubikey-piv-manager
Version:        1.0.1
Release:        3.2
Summary:        YubiKey PIV Manager GUI
License:        GPL-3.0+
Group:          System/Security
Url:            https://developers.yubico.com/yubikey-piv-manager/Releases
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  pkg-config
BuildRequires:  python-nose
BuildRequires:  python-setuptools >= 0.6b3
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(pyside)
BuildRequires:  pkgconfig(python) >= 2.6.6
BuildRequires:  pkgconfig(ykpiv)
Requires:       python-pycrypto

%description
Tool for configuring your PIV-enabled YubiKey.

%prep
%setup -q 

%build
python setup.py qt_resources
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -p -m 0644 resources/%{bname}.xpm %{buildroot}/%{_datadir}/pixmaps/
mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 0644 scripts/%{bname}.1 %{buildroot}/%{_mandir}/man1/%{bname}.1
%suse_update_desktop_file -i %{bname} System Security

%files
%defattr(-,root,root)
%doc COPYING NEWS ChangeLog README
%{_mandir}/man1/*
%{_bindir}/%{bname}
%{python_sitelib}
%{_datadir}/applications/%{bname}.desktop
%{_datadir}/pixmaps/%{bname}.xpm

%changelog
* Tue Apr 28 2015 t.gruner@katodev.de
- Cleanup .spec file
* Thu Apr 16 2015 t.gruner@katodev.de
- Version 1.0.1 (released 2015-04-16)
  - Packaging improvements release, no new features.
  Version 1.0.0 (released 2015-04-14)
  - Initial version.
